Package org.apache.tapestry5.annotations

## Annotation Type Component

-     @Target(FIELD)
      @Documented
      @Retention(RUNTIME)
      @UseWith({COMPONENT,PAGE})
      public @interface Component

  Used to define an embedded component within another component.

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element | Description
    --- | --- | ---
    `java.lang.String` | `id` | The id of the component.
    `boolean` | `inheritInformalParameters` | If true, then the component will inherit all informal parameters from its parent component.
    `java.lang.String[]` | `parameters` | Parameter bindings for the component.
    `java.lang.String` | `publishParameters` | A comma-separated list of parameters of the component that should be published as parameters of the containing component.
    `java.lang.String` | `type` | The component type.

- - ### Element Detail

    - #### id

          java.lang.String id

      The id of the component. When left blank (the default), the component id is determined from the field name.
      Default:
        ""

  - - #### type

          java.lang.String type

      The component type. When this is left unspecified, then the annotated field's type is used directly as the component type.
      Default:
        ""

  - - #### parameters

          java.lang.String[] parameters

      Parameter bindings for the component. Each value in the array is of the form "name=value". The value is a binding expression, with a default binding prefix of "prop:".
      Default:
        {}

  - - #### inheritInformalParameters

          boolean inheritInformalParameters

      If true, then the component will inherit all informal parameters from its parent component. The default is false.
      Default:
        false

  - - #### publishParameters

          java.lang.String publishParameters

      A comma-separated list of parameters of the component that should be published as parameters of the containing component. Binding the parameter of the outer component will bind the inner component's parameter, as with the "inhert:" binding prefix.
      Since:
        5.1.0.0
      Default:
        ""